Arch RemoveShape/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{Userdocnavi/ru}}")
No edit summary
(5 intermediate revisions by one other user not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{docnav|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}
{{Docnav
|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_SelectNonManifold.svg
|IconR=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Arch RemoveShape
|Name=Arch RemoveShape
|Name/ru=Arch RemoveShape
|Workbenches=[[Arch Module/ru|Arch]]
|MenuLocation=Архитектура → Утилиты → Удалить форму из Архитектуры
|MenuLocation=Архитектура → Утилиты → Удалить форму из Архитектуры
|Workbenches=[[Arch_Workbench/ru|Arch]]
|SeeAlso=[[Arch MeshToShape/ru|Сетка в фигуру]]
|SeeAlso=[[Arch MeshToShape/ru|Сетка в фигуру]]
}}
}}
Line 13: Line 22:
==Description==
==Description==


This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).
This tool attempts at removing the inner cubic shape of an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch_Wall|Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch_Structure|Arch Structure]]}}, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).


==How to use==
==Usage==


# Select an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}
# Select an {{Button|[[Image:Arch_Wall.svg|16px]] [[Arch Wall]]}} or {{Button|[[Image:Arch_Structure.svg|16px]] [[Arch Structure]]}}
Line 47: Line 56:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}
{{docnav|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_CloseHoles|Close Holes]]|[[Arch_Module|Arch]]|IconL=Arch_SelectNonSolidMeshes.png |IconC=Workbench_Arch.svg |IconR=Arch_CloseHoles.svg}}


{{Arch Tools navi/ru}}


{{Docnav
{{Userdocnavi/ru}}
|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]
|[[Arch_CloseHoles|Close Holes]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_SelectNonManifold.svg
|IconR=Arch_CloseHoles.svg
|IconC=Workbench_Arch.svg
}}

{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 19:46, 3 September 2021

Arch RemoveShape

Системное название
Arch RemoveShape
Расположение в меню
Архитектура → Утилиты → Удалить форму из Архитектуры
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Сетка в фигуру

Description

This tool attempts at removing the inner cubic shape of an Arch Wall or Arch Structure, and adjusting its properties, making it totally parametric. This tool will only work if the underlying shape is cubic (exactly 6 faces, all corners have only right angles).

Usage

  1. Select an Arch Wall or Arch Structure
  2. Press the button or use ArchUtilities Remove Shape from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

removeShape(objs, mark=True)
  • Takes a list of Arch objects (objs) built on a cubic shape, and removes the inner shape, keeping the length, width and height as properties of the Arch object.
  • If mark is True, objects that cannot be processed by this function will become red.
import FreeCAD, Draft, Arch

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

Structure = Arch.makeStructure(Box)
FreeCAD.ActiveDocument.recompute()

Arch.removeShape(Structure)
FreeCAD.ActiveDocument.recompute()